%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           leveldb
Version:        1.18.0
Release:        %mkrel 1
Summary:        A fast and lightweight key/value database library by Google
Group:          Databases
License:        BSD
URL:            https://github.com/google/leveldb
Source0:        %{name}-%{version}.tar.xz
# Sent upstream - https://code.google.com/p/leveldb/issues/detail?id=101
Patch1:         leveldb-0001-Initial-commit-of-the-autotools-stuff.patch
# Temporary workaround for secondary arches
Patch2:         leveldb-1.16.0-oma-Add-memory-barrier-on-PowerPC.patch
# https://groups.google.com/d/topic/leveldb/SbVPvl4j4vU/discussion
Patch3:         leveldb-0003-bloom_test-failure-on-big-endian-archs.patch
# available in https://github.com/fusesource/leveldbjni/blob/leveldbjni-[LEVELDBJNI VERSION]/leveldb.patch
Patch4:         leveldb-0004-Allow-leveldbjni-build.patch
# https://github.com/fusesource/leveldbjni/issues/34
# https://code.google.com/p/leveldb/issues/detail?id=184
# Add DB::SuspendCompactions() and DB::ResumeCompactions() methods
Patch5:         leveldb-0005-Added-a-DB-SuspendCompations-and-DB-ResumeCompaction.patch
# Cherry-picked from Basho's fork
Patch6:         leveldb-0006-allow-Get-calls-to-avoid-copies-into-std-string.patch

BuildRequires:  snappy-devel
BuildRequires:  libtool

%description
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for LevelDB
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
LevelDB is a fast key-value storage library written at Google that provides an
ordered mapping from string keys to string values.

This package contains additional header files for development with LevelDB.

%files -n       %{devname}
%doc doc/ AUTHORS LICENSE
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -ivf
%configure2_5x --disable-static --with-pic
%make LIBS="-lstdc++ -lm" OPT="%{optflags}"

%install
%makeinstall_std

find %{buildroot} -name \*.la -delete -print

%check
make check


%changelog
* Sat May 09 2015 pinoc <vogtpet at gmail.com> 1.18.0-1pclos2015
- imported package

